# flash-share-mcp

Node.js MCP server for uploading HTML to Flash Share.

## 1) Install

```bash
cd /Users/qinqiong/昆仑/flash-html/share-mcp
npm install
```

## 2) Environment variables

- `FLASH_SHARE_API_BASE` (optional, default: `https://share.skyxhome.com`)
- `FLASH_SHARE_API_KEY` (required)

Example:

```bash
export FLASH_SHARE_API_BASE="https://share.skyxhome.com"
export FLASH_SHARE_API_KEY="ok_xxx"
```

## 3) Run MCP server

```bash
npm start
```

## 4) Tool

### `upload_html`

Input:

- `htmlContent` (string, required)
- `fileName` (string, optional, default: `mcp-upload.html`)

Output fields:

- `url`
- `quotaRemaining`
- `quotaTotal`
